From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/retext/
Date: Wed, 4 Jul 2018 21:53:50 +0000 (UTC) [thread overview]
Message-ID: <1530741147.301d7cf6c9e7c573b0c6e3e7a72552fe816346e2.monsieurp@gentoo> (raw)
commit: 301d7cf6c9e7c573b0c6e3e7a72552fe816346e2
Author: Nils Freydank <holgersson <AT> posteo <DOT> de>
AuthorDate: Wed Jul 4 11:38:53 2018 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jul 4 21:52:27 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=301d7cf6
app-editors/retext: version bump to 7.0.3.
Package-Manager: Portage-2.3.41, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/9040
app-editors/retext/Manifest | 1 +
app-editors/retext/retext-7.0.3.ebuild | 62 ++++++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/app-editors/retext/Manifest b/app-editors/retext/Manifest
index 0029a645d79..1b03448f954 100644
--- a/app-editors/retext/Manifest
+++ b/app-editors/retext/Manifest
@@ -1,2 +1,3 @@
DIST ReText-7.0.0.tar.gz 203294 BLAKE2B 613004d9e2aaba52e25dec49270ecaf429f5c9dd27041cf09c8b1eefca59e2116b9904b49f260c6bc2528d65fa846a0cd11930d05297b8567e69086376d411a6 SHA512 0a2e430659e7d87d50780fecbf5f04f852f144d143ec83b90126ab9e7b8006756cbc8710c9cec192ddad2cba9f7236e684fa207e308c565388ede308da3c1a35
DIST ReText-7.0.1.tar.gz 266582 BLAKE2B 9a2bf5ee433550b9df777fc65254bf52097730143e491fa52b2312709473905caf45fc63fe96ac04adb94bdbc9ea8e8840c4e5d65cb0da25727d3cdd198d2f97 SHA512 eb6b1f6df1e490d9058f3431c023119afff05e81917bb5402a35a100538283a157d2853d10c015a415a5d7e78aac4a2489307a0ef60004d48d8b1f9207a07567
+DIST ReText-7.0.3.tar.gz 396334 BLAKE2B f40ffb159f94d28f1649561a41f557a5d11c2d00e4a01a99493ecac9795bca41c4675bc364c3c58e557bd78c2803f774793042426921436b4be43129f3c88170 SHA512 67b16dc2d7207cc72a58a5ede7440b191c8afdd08e6d4b21159e781585ca16ddfb4d0d16052fc50d716e2edfd983559e25c22ac80dd408cdb3fdb82a2f6bce57
diff --git a/app-editors/retext/retext-7.0.3.ebuild b/app-editors/retext/retext-7.0.3.ebuild
new file mode 100644
index 00000000000..3893b4a6128
--- /dev/null
+++ b/app-editors/retext/retext-7.0.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+PLOCALES="ca cs cy da de es et eu fr hu it ja pl pt pt_BR ru sk sr sr@latin uk zh_TW"
+
+inherit distutils-r1 virtualx l10n xdg-utils
+
+MY_PN="ReText"
+MY_P="${MY_PN}-${PV/_/~}"
+
+DESCRIPTION="Simple editor for Markdown and reStructuredText"
+HOMEPAGE="https://github.com/retext-project/retext https://github.com/retext-project/retext/wiki"
+
+if [[ ${PV} == *9999 ]]
+ then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/retext-project/retext.git"
+ else
+ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}"/${MY_P}
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+spell"
+
+RDEPEND="
+ >=dev-python/chardet-2.3[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/markdown[pygments,${PYTHON_USEDEP}]
+ >=dev-python/markups-2.0[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/PyQt5[gui,network,printsupport,webengine,widgets,${PYTHON_USEDEP}]
+ spell? ( dev-python/pyenchant[${PYTHON_USEDEP}] )
+"
+
+remove_locale() {
+ find "${ED}" -name "retext_${1}.qm" -delete || die "Failed to remove locale ${1}."
+}
+
+python_test() {
+ virtx esetup.py test
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ l10n_for_each_disabled_locale_do remove_locale
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}
next reply other threads:[~2018-07-04 21:53 UTC|newest]
Thread overview: 82+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-04 21:53 Patrice Clement [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-24 22:16 [gentoo-commits] repo/gentoo:master commit in: app-editors/retext/ Jakov Smolić
2024-11-23 14:15 Michał Górny
2024-04-27 3:46 Michał Górny
2024-04-27 3:46 Michał Górny
2024-03-18 20:04 Conrad Kostecki
2023-11-02 8:13 Joonas Niilola
2023-10-03 14:15 Sam James
2023-08-14 7:02 Joonas Niilola
2023-08-14 7:02 Joonas Niilola
2023-05-20 6:26 Michał Górny
2023-03-07 17:56 Jimi Huotari
2023-03-04 7:18 Sam James
2023-03-04 7:18 Sam James
2023-01-28 8:43 Joonas Niilola
2023-01-28 8:43 Joonas Niilola
2023-01-28 8:43 Joonas Niilola
2022-08-22 8:54 Agostino Sarubbo
2022-08-20 23:03 Sam James
2022-06-03 8:27 Sam James
2022-02-20 5:27 Sam James
2022-02-19 19:22 Sam James
2022-01-02 3:29 Sam James
2021-07-19 7:47 Joonas Niilola
2021-07-16 3:58 Sam James
2021-07-16 3:58 Sam James
2021-03-21 9:35 Joonas Niilola
2021-03-21 9:35 Joonas Niilola
2021-03-21 9:35 Joonas Niilola
2021-03-04 6:24 Sam James
2021-03-04 6:24 Sam James
2021-02-25 14:46 Joonas Niilola
2021-02-25 14:46 Joonas Niilola
2021-02-24 7:06 Joonas Niilola
2021-02-24 7:06 Joonas Niilola
2021-02-24 7:06 Joonas Niilola
2021-02-24 7:06 Joonas Niilola
2020-09-18 15:56 Michał Górny
2020-08-30 1:32 Thomas Deutschmann
2020-08-25 12:53 Agostino Sarubbo
2020-07-15 8:06 Joonas Niilola
2020-07-15 8:06 Joonas Niilola
2020-07-15 8:06 Joonas Niilola
2019-12-13 5:23 Davide Pesavento
2019-12-12 16:01 Agostino Sarubbo
2019-12-11 10:47 Agostino Sarubbo
2019-05-15 23:02 Andreas Sturmlechner
2019-05-15 23:02 Andreas Sturmlechner
2018-11-22 20:25 Michał Górny
2018-11-22 20:25 Michał Górny
2018-08-17 0:14 Mikle Kolyada
2018-08-16 0:39 Thomas Deutschmann
2018-05-25 22:32 Aaron Bauman
2018-05-25 22:32 Aaron Bauman
2018-05-25 22:32 Aaron Bauman
2018-05-25 22:32 Aaron Bauman
2018-04-30 16:08 Patrice Clement
2018-04-30 16:08 Patrice Clement
2018-04-30 16:08 Patrice Clement
2018-04-30 16:08 Patrice Clement
2017-11-21 18:02 Manuel Rüger
2017-09-02 15:04 Michael Palimaka
2017-06-26 17:31 Manuel Rüger
2017-06-08 11:38 Manuel Rüger
2017-05-06 17:39 Manuel Rüger
2017-05-06 17:20 Agostino Sarubbo
2017-05-05 14:10 Agostino Sarubbo
2017-05-04 15:17 Manuel Rüger
2017-03-13 11:32 Manuel Rüger
2017-03-13 11:32 Manuel Rüger
2017-03-13 11:32 Manuel Rüger
2016-10-10 22:50 Manuel Rüger
2016-09-04 23:18 Manuel Rüger
2016-09-04 22:05 Manuel Rüger
2016-09-04 22:05 Manuel Rüger
2016-04-10 0:08 Manuel Rüger
2016-04-10 0:08 Manuel Rüger
2016-02-17 21:28 Manuel Rüger
2016-02-17 21:28 Manuel Rüger
2015-12-20 16:35 Justin Lecher
2015-10-10 16:31 Justin Lecher
2015-09-23 15:58 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1530741147.301d7cf6c9e7c573b0c6e3e7a72552fe816346e2.monsieurp@gentoo \
--to=monsieurp@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox